package com.chaozhanggui.dao.system.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chaozhanggui.dao.system.entity.TbPlussBankCodeSxf;

import com.chaozhanggui.dao.system.entity.TbPlussSxfMccInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
@Mapper
public interface TbPlussBankCodeSxfMapper extends BaseMapper<TbPlussBankCodeSxf> {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussBankCodeSxf record);

    int insertSelective(TbPlussBankCodeSxf record);

    TbPlussBankCodeSxf selectByPrimaryKey(Integer id);

    List<TbPlussSxfMccInfo> pageData(@Param("current") Integer current, @Param("size") Integer size, @Param("keyWord") String keyWord);

    int updateByPrimaryKeySelective(TbPlussBankCodeSxf record);

    int updateByPrimaryKey(TbPlussBankCodeSxf record);
}